BASE_URL = "https://example.com/"

PROGRAM_ID = 1
PROGRAMS = {
    "type": "FeatureCollection",
    "features": [
        {
            "properties": {
                "id_program": PROGRAM_ID,
                "id_project": 1,
                "title": "Test programme",
                "short_desc": "Programme",
                "long_desc": "<p>Programme long</p>\r\n",
                "form_message": None,
                "image": None,
                "logo": None,
                "id_module": 1,
                "taxonomy_list": 102,
                "is_active": True,
                "timestamp_create": "2023-02-13 14:41:53.967002",
                "timestamp_update": "2023-02-13 14:41:53.967010",
                "module": {
                    "id_module": 1,
                    "name": "observations",
                    "label": "observations",
                    "desc": "Module d'observations taxonomiques",
                    "icon": None,
                    "on_sidebar": None,
                    "timestamp_create": "2023-02-13 14:36:19.787645",
                    "timestamp_update": None,
                },
                "project": {
                    "id_project": 1,
                    "unique_id_project": "870b66b7-c19b-4fbd-84bc-3ba25c16c1ff",
                    "name": "Test",
                    "short_desc": None,
                    "long_desc": "",
                    "timestamp_create": "2023-02-13 14:40:52.723723",
                    "timestamp_update": "2023-02-13 14:40:52.723729",
                },
            }
        },
        {
            "properties": {
                "id_program": 2,
                "id_project": 1,
                "title": "Test programme2",
                "short_desc": "Programme2",
                "long_desc": "<p>Programme long2</p>\r\n",
                "form_message": None,
                "image": None,
                "logo": None,
                "id_module": 1,
                "taxonomy_list": 102,
                "is_active": True,
                "timestamp_create": "2023-02-13 14:41:53.967002",
                "timestamp_update": "2023-02-13 14:41:53.967010",
                "module": {
                    "id_module": 1,
                    "name": "observations",
                    "label": "observations",
                    "desc": "Module d'observations taxonomiques",
                    "icon": None,
                    "on_sidebar": None,
                    "timestamp_create": "2023-02-13 14:36:19.787645",
                    "timestamp_update": None,
                },
                "project": {
                    "id_project": 1,
                    "unique_id_project": "870b66b7-c19b-4fbd-84bc-3ba25c16c1ff",
                    "name": "Test",
                    "short_desc": None,
                    "long_desc": "",
                    "timestamp_create": "2023-02-13 14:40:52.723723",
                    "timestamp_update": "2023-02-13 14:40:52.723729",
                },
            }
        },
    ],
    "count": 1,
}

OBSERVATIONS = {
    "type": "FeatureCollection",
    "features": [
        {
            "type": "Feature",
            "geometry": {"type": "Point", "coordinates": [4.480955, 48.293908]},
            "properties": {
                "municipality": {"name": "Amance"},
                "observer": {"username": None, "userAvatar": None},
                "image": "/api/media/obstax_235_1_20230616_105707.png",
                "id_observation": 2,
                "id_program": PROGRAM_ID,
                "cd_nom": 235,
                "date": "2023-06-16",
                "count": 1,
                "comment": "aze",
                "json_data": None,
                "obs_txt": "Anonyme",
                "timestamp_create": "2023-06-16 10:57:07.624019",
                "nom_francais": "Pélobate cultripède (Le)",
                "taxref": {
                    "cd_nom": 235,
                    "id_statut": "P",
                    "id_habitat": 8,
                    "id_rang": "ES",
                    "phylum": "Chordata",
                    "classe": "Amphibia",
                    "regne": "Animalia",
                    "ordre": "Anura",
                    "famille": "Pelobatidae",
                    "sous_famille": None,
                    "tribu": None,
                    "cd_taxsup": 195917,
                    "cd_sup": 195917,
                    "cd_ref": 235,
                    "lb_nom": "Pelobates cultripes",
                    "lb_auteur": "(Cuvier, 1829)",
                    "nom_complet": "Pelobates cultripes (Cuvier, 1829)",
                    "nom_complet_html": "<i>Pelobates cultripes</i> (Cuvier, 1829)",
                    "nom_vern": "Pélobate cultripède (Le)",
                    "nom_valide": "Pelobates cultripes (Cuvier, 1829)",
                    "nom_vern_eng": "Western Spadefoot",
                    "group1_inpn": "Chordés",
                    "group2_inpn": "Amphibiens",
                    "url": "https://inpn.mnhn.fr/espece/cd_nom/235",
                },
                "medias": [],
            },
        },
        {
            "type": "Feature",
            "geometry": {"type": "Point", "coordinates": [4.42686, 48.312164]},
            "properties": {
                "municipality": {"name": "Piney"},
                "observer": {"username": None, "userAvatar": None},
                "image": "/api/media/obstax_459618_1_20230616_105551.png",
                "id_observation": 1,
                "id_program": PROGRAM_ID,
                "cd_nom": 459618,
                "date": "2023-06-16",
                "count": 1,
                "comment": "",
                "json_data": None,
                "obs_txt": "Anonyme",
                "timestamp_create": "2023-06-16 10:55:50.851176",
                "nom_francais": "Grenouille taureau (La)",
                "taxref": {
                    "cd_nom": 459618,
                    "id_statut": "J",
                    "id_habitat": 8,
                    "id_rang": "ES",
                    "phylum": "Chordata",
                    "classe": "Amphibia",
                    "regne": "Animalia",
                    "ordre": "Anura",
                    "famille": "Ranidae",
                    "sous_famille": None,
                    "tribu": None,
                    "cd_taxsup": 436818,
                    "cd_sup": 436818,
                    "cd_ref": 459618,
                    "lb_nom": "Lithobates catesbeianus",
                    "lb_auteur": "(Shaw, 1802)",
                    "nom_complet": "Lithobates catesbeianus (Shaw, 1802)",
                    "nom_complet_html": "<i>Lithobates catesbeianus</i> (Shaw, 1802)",
                    "nom_vern": "Grenouille taureau (La)",
                    "nom_valide": "Lithobates catesbeianus (Shaw, 1802)",
                    "nom_vern_eng": "Bullfrog, North American bullfrog",
                    "group1_inpn": "Chordés",
                    "group2_inpn": "Amphibiens",
                    "url": "https://inpn.mnhn.fr/espece/cd_nom/459618",
                },
                "medias": [],
            },
        },
    ],
}
